Subject: Re: THE FELLOWSHIP OF THE RING
From: "Michael B" <[email-masked]>
To: "Joshua Allegri" <[email-masked]>
Cc: "Kevin Morales" <[email-masked]>, "Boyd Owen" <[email-masked]>, "Russell Dickie" <[email-masked]>, "Daniel Topf" <[email-masked]>, "matthew thomas" <[email-masked]>, <[email-masked]>, "Adam Knapp" <[email-masked]>
Date: Wed, 18 Mar 2015 16:43:09 -0400

They're aren't clip-ons are they?   Ok cool.  I will not worry about it.  Let me know if any of that changes.
Thank you,
Michael B

From: Joshua Allegri 
Sent: Wednesday, March 18, 2015 4:25 PM
To: Michael B 
Cc: Kevin Morales ; Boyd Owen ; Russell Dickie ; Daniel Topf ; matthew thomas ; [email-masked] ; Adam Knapp 
Subject: Re: THE FELLOWSHIP OF THE RING

I have been told they have already been provided and we don't need to worry 

On Wed, Mar 18, 2015 at 3:05 PM, Michael B <[email-masked]> wrote:

  Hey Joshua.
  Was there ever a decision made about the ties we are to wear?
  Thank you,
  Michael Bishop
  Thank you,
  Michael Bishop

  From: Joshua Allegri 
  Sent: Friday, February 20, 2015 2:40 PM
  Cc: Kevin Morales ; Boyd Owen ; Russell Dickie ; Daniel Topf ; Mike ; matthew thomas ; [email-masked] ; Adam Knapp 
  Subject: Re: THE FELLOWSHIP OF THE RING

  Tentative Plans are as follows  

  4-10-2015
  Rehearsal is at 5:30 at Tenth Presbyterian Church 
  Rehearsal Dinner is at 7:00 or 7:30  

  Depending on what when we can get the most together is when we will do the bachelor party. 

  When will everyone be arriving in Philadelphia?   Also does everyone have a black suit ?  I am waiting to get the final confirmation on the color of ties, I will try and get Daniel and Suzanne to pick out a tie form Kohls and i will send out the SKU 

  On Tue, Jan 27, 2015 at 4:39 PM, Daniel Allegri <[email-masked]> wrote:

    There are nine of you guys. I couldn't resist! 

    This email is to introduce you guys to each other! Thank you so much for agreeing to be groomsmen! I am so blessed to have you guys in my life. You guys are awesome!

    Introductions
    Best Man- Joshua Michael Allegri (My little bigger brother)

    Groomsmen
    Daniel Topf- Former roommate and Bible Scholarship Ninja
    Kevin Morales- Former roommate and Hippie in Chief
    Boyd Owen- Former Roommate and Opera Singing Zombie Hunter
    Mike Bishop- Uncle and Resident Head of Wisdom
    Matt Thomas- Friend and Dramatist Par Excellance

    Overseas Guys
    These guys can't make it. But I was hoping they could record something for the reception or Bachelor Party and send it to us.. I would like them to be involved somehow, but I will leave that to you guys to figure out. 

    R.J. Dickie- Former Roommate and Rebel Leader of the Browncoats
    Daniel Liu- Former Roommate and Other Resident Head of Wisdom

    As far as the Bachelor Party goes, I will send Josh a list of some non-groomsmen guys I would like to join us. As far as the clothes go, we are going to be decked in black suits. If you guys can provide the black suits (Most people should have these, I expect), we will find you something to match the ladies, like a tie or vest or something.  

    Grace and Peace Guys! Thanks again!

    Daniel

  -- 

  Josh Allegri 

-- 

Josh Allegri